/**                                                                                                              
 *  Script Name  : TestOrder.groovy                                                                                  
 *                                                                                                               
 *  Purpose      : To test (Unit Test) the Order.groovy POGO for initializing the instance and printing out in console
 *                                                                                                               
 *  Environment  : Tested with -> Groovy Version: 2.4.3 JVM: 1.7.0_80 Vendor: Oracle Corporation OS: Windows 7   
 *                                                                                                               
 *  URL to refer : https://examples.javacodegeeks.com/jvm-languages/groovy
 *                                                                                                               
 *  Author       : Raghavan alias Saravanan Muthu (Java Code Geeks)                                              
 *  Date         : 11 Apr 2016, Monday                                                                           
 */                                                                                                              
                                                                                                                 
package com.javacodegeeks.example.groovy.scripting                                                            

/** 
 *  A straight forward way to instantiate and initialize an Order instance
 *  Field name and value is separated by a colon (:) and 
 *  each name value pair is separated by a commma (,)
 */
def order = new Order(customerName: 'Raghavan', country : 'India', id : '1',
             price : '2351', currency: 'INR', paymentMode : 'Card')
println order

/** 
  * Another approach to initialize the Order instance where 
  * one property or field is intialized during instantiation (invoking the constructor)
  * and rest of the properties are initialized separately
  */
def order2 = new Order(customerName: 'Kannan')
order2.country='Hong Kong'
order2.id='2'
order2.price='1121'
order2.currency='HKD'
println order2

/**
 * Yet another way to initialize the Order instance with one complete line of formatted line
 * pipe separated values ("|")
 */
def lineAsCSV = "Ganesh     | Hong Kong  | 1542.99  | HKD   | Cheque      |" 
def order3 = new Order().initOrder(lineAsCSV)
println order3