/**                                                                                                             
 *  Script Name  : dbDropTable.groovy                                                                                 
 *                                                                                                              
 *  Purpose      : To demonstrate the usage of Scripting in Groovy. This is a script to drop                
 *                       the 'GroovyScriptTest' table from MySQL database 'test'                  
 *                                                                                                              
 *  Environment  : Tested with -> Groovy Version: 2.4.3 JVM: 1.7.0_80 Vendor: Oracle Corporation OS: Windows 7  
 *                                                                                                              
 *  URL to refer : https://examples.javacodegeeks.com/jvm-languages/groovy                                      
 *                                                                                                              
 *  Author       : Raghavan alias Saravanan Muthu (Java Code Geeks)                                             
 *  Date         : 11 Apr 2016, Monday                                                                          
 */                                                                                                             
                                                                                                                
package com.javacodegeeks.example.groovy.scripting;                                                             

// These two lines are for facilitating the System Classloader to pickup the 
// MySQL JDBC Connector Jar file from its classpath.  
//   1. Required when you invoke the script in GroovyConsole
//   2. Not required if you invoke the script in Command Prompt with a -cp option 
//        specifying the classpath to locate the jar file
@GrabConfig(systemClassLoader=true)
@Grab('mysql:mysql-connector-java:5.1.29')

import groovy.sql.Sql

def url = DBProps.dbUrl
def user = DBProps.dbUser
def password = DBProps.dbPwd
def driver = DBProps.dbDriver
def tableName = DBProps.dbTblName

Sql.withInstance(url, user, password, driver) { sql ->
  sql.execute '''DROP TABLE ''' + tableName

  println "Table [${tableName}] dropped successfully"
}